# Uses of Enum Class
java.awt.desktop.QuitStrategy

Packages that use QuitStrategy
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.desktop
Provides interfaces and classes for interaction with various desktop capabilities.

## Uses of QuitStrategy in java.awt

Methods in java.awt with parameters of type QuitStrategy
Modifier and Type
Method
Description
`void`
Desktop.`setQuitStrategy(QuitStrategy strategy)`
Sets the default strategy used to quit this application.

## Uses of QuitStrategy in java.awt.desktop

Methods in java.awt.desktop that return QuitStrategy
Modifier and Type
Method
Description
`static QuitStrategy`
QuitStrategy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static QuitStrategy[]`
QuitStrategy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.